
package de.ivu.elect.dokumente;

import de.ivu.document.generator.template.BaseDocument;
import de.ivu.document.generator.template.annotations.DocumentSimpleField;
import de.ivu.elect.business.benutzerverwaltung.entity.Benutzer;

public class BenutzerDokument extends BaseDocument {

  private static final long serialVersionUID = 1L;

  public static final BenutzerDokument EMPTY_OBJECT = new BenutzerDokument();

  @DocumentSimpleField("Benutzerkennung")
  public final String benutzerkennung;

  @DocumentSimpleField("Vorname")
  public final String vorname;

  @DocumentSimpleField("Nachname")
  public final String nachname;

  protected BenutzerDokument() {
    super();

    this.vorname = "";
    this.nachname = "";
    this.benutzerkennung = "";
  }

  public BenutzerDokument(Benutzer benutzer) {
    super();

    this.vorname = benutzer.getVorname();
    this.nachname = benutzer.getFamilienname();
    this.benutzerkennung = benutzer.getBenutzerkennung();
  }

  public boolean isEmptyObject() {
    return this == EMPTY_OBJECT;
  }

  public boolean isNotEmptyObject() {
    return !isEmptyObject();
  }
}
